Status: Closed Start date: 2010-11-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Sample code:

# list1

|_. Test|_. Test2|

|Testing|And yet another test|

# list2

Current result:

1. list1  

Test Test2

Testing And yet another test

1. list2

But the second list2 sould be 2. list2.

Related issues:

Related to Redmine - Defect #18032: Continued numbered lists (#_) are not wor... New

History

#1 - 2010-11-27 08:26 - Ivan Cenov

Hi,

The latter list is another list, not the tail of the first one.

Another question arises: is it possible to set beginning value of a numbered list.

#2 - 2010-11-27 11:05 - Andras Elso

The latter list is another list, not the tail of the first one.

 No, because the table sould end with two newline char or one \Z char (whatever is that :o ). So if i want to a new list after a table, i sould use 3

newlinechar.

#3 - 2010-12-03 10:23 - Felix Schäfer

I'd say that's a bug with textile, might be better when/if we migrate to the current version of the textile formatter.

#4 - 2014-11-03 00:42 - Toshi MARUYAMA

- Related to Defect #18032: Continued numbered lists (#_) are not working as the textile syntax expects added

#5 - 2024-09-19 14:57 - Holger Just

- Status changed from New to Closed
To continue a list in Textile, there must not be a empty line before a list item. To continue adding content to the current list item, you can indent the

content with two spaces. You still need an empty line before a table for it to be correctly recognized though. As such, the following syntax should

work:

# list1

  |_. Test|_. Test2|

  |Testing|And yet another test|

# list2

 This renders as:

1. list1   

Test Test2

Testing And yet another test

2. list2
